@font-face {
    font-family: "WindSong Regular";
    font-display: swap;
    src: url(../fonts/WindSong/WindSong-Regular.ttf) format("truetype");
}

@font-face {
    font-family: "Philosopher Regular";
    font-display: swap;
    src: url(../fonts/Philosopher/Philosopher-Regular.ttf) format("truetype");
}

@font-face {
    font-family: "Montserrat ExtraLight";
    font-display: swap;
    src: url(../fonts/Montserrat/Montserrat-Light.ttf) format("truetype");
}

@font-face {
    font-family: "Montserrat Medium";
    font-display: swap;
    src: url(../fonts/Montserrat/Montserrat-Medium.ttf) format("truetype");
}

@font-face {
    font-family: "Montserrat Bold";
    font-display: swap;
    src: url(../fonts/Montserrat/Montserrat-Bold.ttf) format("truetype");
}

:root {
    --text-black: #0C0801;
    --btn-gradient-start: #97733f;
    --btn-gradient-end: #d1b16a;
}

/* custom checkbox */
.custom-checkbox {
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    align-items: center;
}

.custom-checkbox p {
    margin-bottom: 0;
}

.custom-checkbox input {
    position: absolute;
    width: 0;
    height: 0;
    opacity: 0;
}

.custom-checkbox span {
    display: inline-block;
    width: 25px;
    height: 25px;
    aspect-ratio: 1 / 1;
    border: 1px solid #5C421D;
    background-color: #EEEAE6;
    margin-right: .5em;
    position: relative;
    cursor: pointer;
    border-radius: 2px;
}

.custom-checkbox input:checked ~ span {
    background-color: #5C421D;
}

.custom-checkbox span::after {
    display: none;
    content: "";
    position: absolute;
    left: 8px;
    top: 4px;
    width: 7px;
    height: 13px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(40deg);
    -ms-transform: rotate(40deg);
    transform: rotate(40deg);
}

.custom-checkbox input:checked ~ span::after {
    display: block;
}
/* end of custom checkbox */

/* navbar */
button.nav-link {
    background-color: transparent;
    border: none;
    outline: none;
}

button.nav-link::after {
    display: none;
}

.navbar .dropdown-menu {
    left: unset;
    right: 30px;
    min-width: 12rem;
    text-align: center;
    border-radius: 0;
}

.navbar .dropdown-menu a {
    color: #000;
    margin: 0 !important;
}

.navbar .dropdown-menu a:hover {
    background-color: transparent;
    color: #000;
}
/* end of navbar */

/* static content */
.static-content h1,
.static-content h2,
.static-content h3,
.static-content h4,
.static-content h5,
.static-content h6 {
    font-family: "Philosopher Regular";
    font-weight: 700;
}

.static-content h1 {
    font-size: 35px;
}
.static-content h2 {
    font-size: 32px;
}
.static-content h3 {
    font-size: 30px;
}
.static-content h4 {
    font-size: 25px;
}
.static-content h5 {
    font-size: 22px;
}
.static-content h6 {
    font-size: 19px;
}

.static-content img {
    max-width: 100%;
}

.static-content ul {
    columns: 2;
    padding: 0;
}

.static-content li {
    list-style-type: none;
    position: relative;
    margin-bottom: 0.6em;
    padding-left: 45px;
    display: inline-block;
}

.static-content li::before {
    content: "";
    background-color: #000;
    border-radius: 5px;
    width: 20px;
    height: 20px;
    position: absolute;
    top: 3px;
    left: 0;
}

.static-content {
    font-size: 18px;
}
/* end of static content */

/* base stuff */
form label a,
form label a:hover {
    text-decoration: underline;
}

.base_container {
    min-height: 450px;
}

.light.cc_dialog {
    padding: 1em 1.5em !important;
    max-width: 90% !important;
}

.navbar-nav .dropdown-toggle::after,
.hidden {
    display: none;
}

html {
    scroll-behavior: smooth;
}

.navbar-toggler {
    border-color: #8d9aab;
}

form small {
    text-align: left !important;
    color: #f00;
}

a:focus,
a:hover,
a:focus *,
a:hover *{
    text-decoration: none !important;
    color: currentColor;
}
/* end of base stuff*/

/* popup */
.popup-modal {
    background-color: #fff;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 600px;
    /*height: 400px;*/
    height: fit-content;
    max-width: 95%;
    max-height: 95%;
    z-index: 1010;
    box-shadow: 0 0 15px -3px rgba(0,0,0,0.35);
    padding: 1.2em 1em;
    /*overflow: scroll;*/
}

/*.popup-modal .popup-content {*/
/*    position: absolute;*/
/*    top: 0;*/
/*    left: 0;*/
/*    width: 100%;*/
/*    height: 100%;*/
/*    overflow: auto;*/
/*    padding: 1.2em 1em;*/
/*}*/

.popup-modal #closePopup {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0.1em 0.3em;
    cursor: pointer;
    font-size: 25px;
    z-index: 100;
}
/* end of popup */

.navbar-nav .active-link {
    color: #fff !important;
}

a,
body {
    font-family: "Montserrat ExtraLight";
    font-size: 18px;
    color: var(--text-black);
}

a:hover {
    text-decoration: none;
    color: inherit;
}

.nav-link {
    padding-right: 0.5em !important;
    padding-left: 0.5em !important;
    margin-right: 0.5em !important;
    margin-left: 0.5em !important;
    font-family: "Montserrat Medium";
}

.nav-link,
.nav-link:hover,
.nav-link:focus {
    color: #fff;
}

.navbar-toggler {
    border-color: #8d9aab;
}

.general-padding {
    padding-top: 4em;
    padding-bottom: 4em;
}

.general-padding.smaller-top {
    padding-top: 0.3em;
}

small {
    text-align: left !important;
    color: #f00;
}

form label a,
form label a:hover {
    text-decoration: underline;
}

.base_container {
    min-height: 450px;
}

.hero-img {
    width: 100%;
    object-fit: cover;
}

.subpage-hero {
    height: 320px;
}

.home-hero {
    height: 948px;
}

.navbar {
    position: absolute;
    top: 0;
    z-index: 15;
    left: 15px;
    right: 15px;
    height: 136px;
}

.navbar-brand img {
    width: 160px;
}

.home-hero-desc {
    text-align: center;
    position: absolute;
    left: 0;
    right: 0;
    top: -720px;
}

.btn-main,
.btn-sub {
    border-radius: 30px;
    padding: 0.5em 1.1em;
    display: inline-block;
    font-family: "Montserrat Medium";
}

.btn-main {
    background: var(--btn-gradient-start);
    background: linear-gradient(90deg, var(--btn-gradient-start) 0%, var(--btn-gradient-end) 100%);
}

.btn-main,
.btn-main:hover,
.btn-main:focus,
.btn-main:active {
    color: #fff;
}

.btn-sub {
    background: linear-gradient(#fff, #fff) padding-box, linear-gradient(90deg, var(--btn-gradient-start), var(--btn-gradient-end)) border-box;
    border: 1px solid transparent;
}

.btn-sub span {
    background: var(--btn-gradient-start);
    background: linear-gradient(90deg, var(--btn-gradient-start) 0%, var(--btn-gradient-end) 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-fill-color: transparent;
}

.button-group {
    display: flex;
    justify-content: center;
    column-gap: 1em;
}

.home-social-icons {
    display: flex;
    justify-content: center;
    column-gap: 1.5em;
}

.decorated-text {
    background: var(--btn-gradient-start);
    background: linear-gradient(90deg, var(--btn-gradient-start) 0%, var(--btn-gradient-end) 100%);
    background-clip: border-box;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-family: "WindSong Regular";
}

.decorated-text,
.section-title {
    font-size: 60px;
    word-wrap: anywhere;
}

.decorated-text#hi {
    margin-bottom: -0.5em;
    display: inline-block;
    font-size: 75px;
}

.section-title {
    font-family: "Philosopher Regular";
    line-height: 1em;
    margin-bottom: 0.4em;
}

.bordered-image {
    border-radius: 15px;
}

.general-mb {
    margin-bottom: 5em;
}

.gallery-grid {
    display: grid;
    gap: 20px;
    grid-template-areas:
        "grid1img grid1img grid1img grid1img grid1img grid2img grid2img grid2img grid2img grid3img grid3img grid3img"
        "grid4img grid4img grid4img grid4img grid4img grid4img grid5img grid5img grid5img grid5img grid5img grid5img";
}

.gallery-grid img {
    width: 100%;
    object-fit: cover;
    border-radius: 7px;
}

.grid1img,
.grid2img,
.grid3img {
    height: 300px;
}

.grid4img,
.grid5img {
    height: 250px;
}

.grid1img {
    grid-area: grid1img;
}

.grid2img {
    grid-area: grid2img;
}

.grid3img {
    grid-area: grid3img;
}

.grid4img {
    grid-area: grid4img;
}

.grid5img {
    grid-area: grid5img;
}

.decorated-text#yoga {
    background: initial;
    background-clip: initial;
    -webkit-background-clip: initial;
    -webkit-text-fill-color: initial;
    padding-left: 0.5em;
}

.pink-bg {
    background-color: #F4EEE3;
    padding: 4em 0;
}

.gradient-block {
    background: rgb(92,66,29);
    background: linear-gradient(90deg, rgba(92,66,29,1) 0%, rgba(150,114,62,1) 30%);
}

.gradient-block .btn-sub {
    border-color: #fff;
}

.gradient-block .btn-sub span {
    color: #5C421D;
    -webkit-text-fill-color: initial;
    text-fill-color: initial;
}

.service-block {
    width: 100%;
    display: flex;
    column-gap: 2em;
    background-color: #F4EEE3;
    border-radius: 15px;
    padding: 1.5em;
}

.service-block .img-block {
    width: 450px;
    flex-shrink: 0;
}

.service-desc {
    overflow: hidden;
}

#service-view .service-block {
    flex-direction: column;
}

#service-view .service-block .img-block {
    width: 100%;
}

#service-view .service-block .img-block img {
    margin-bottom: 2em;
    width: 100%;
    height: 400px;
}

.service-block .img-block img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 15px;
}

.service-block .service-title {
    font-family: "Philosopher Regular";
    font-size: 28px;
    font-weight: 700;
    margin-bottom: 5px;
}

.service-block .service-date {
    font-size: 16px;
    margin-bottom: 0.5em;
}

.service-block .service-btn-group {
    display: flex;
    column-gap: 1em;
    margin: 1.5em 0 0;
}

.service-row {
    row-gap: 2em;
}

.accordion-elem {
    border: 1px solid #5C421D;
    border-radius: 8px;
    margin-bottom: 1em;
    padding: 1em 1.5em;
}

.accordion-btn {
    border: none;
    background: none;
    outline: none !important;
    width: 100%;
    text-align: left;
    padding: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: "Philosopher Regular";
    font-size: 27px;
    font-weight: 700;
    color: var(--text-black);
}

.accordion-btn[aria-expanded="false"] svg {
    transform: rotate(180deg);
}

.accordion-btn svg {
    transition: .3s;
    flex-shrink: 0;
}

.contact-page-form,
.gyik-block {
    background-image: url('../images/gyik.png');
    background-position: center;
    background-repeat: no-repeat;
}

#contact_form_content_page {
    overflow: hidden;
}

#contact_form_content_page input,
#contact_form_content_page textarea{
    border: 1px solid #5C421D;
    border-radius: 8px;
    padding: 0.75em 1em;
    width: 100%;
    background-color: transparent;
}


.placeholder-text,
#contact_form_content_page ::placeholder {
    opacity: 1;
    color: #484643;
    font-family: "Philosopher Regular";
    font-size: 22px;
}

.contact-card {
    display: flex;
    flex-direction: column;
    width: 55%;
    margin: 0 auto;
    text-align: center;
}

.contact-card img {
    width: 100%;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    object-fit: cover;
    object-position: 50% 16%;
}

.decorated-text.name {
    font-family: "Philosopher Regular";
    font-weight: 700;
    font-size: 28px;
    margin: 0.5em 0 0.1em;
}

.contact-card .profession {
    margin-bottom: 0.6em;
    font-size: 20px;
}

footer {
    background-color: #322B2D;
    padding-top: 3em;
    padding-bottom: 1em;
}

footer,
footer a {
    color: #fff;
}

.footer-links {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    margin-bottom: 2em;
}

.footer-links a {
    width: 220px;
}

.footer-links .footer-home-link {
    width: 200px;
}

.contact-wrapper {
    display: flex;
    flex-direction: column;
    row-gap: 1em;
    padding-left: 2em;
}

.contact-item {
    font-size: 19px;
    display: flex;
    align-items: center;
    width: fit-content;
    column-gap: 1em;
}

.contact-item svg {
    flex-shrink: 0;
}

.lg-sub-html {
    display: none !important;
}

.gallery-item img {
    width: 100%;
    height: 470px;
    object-fit: cover;
    border-radius: 7px;
}

.gallery-title {
    margin-top: 0.5em;
    font-family: "Philosopher Regular";
    font-weight: 700;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 1.2em;
    line-height: 1.2em;
}

.gallery-row {
    justify-content: space-around;
    row-gap: 4em;
}

.gallery-desc {
    font-size: 22px;
    line-height: 1.3em;
    height: 3.9em;
    overflow: hidden;
}

.gallery-img-block {
    display: block;
}

.gallery-img-block img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    border-radius: 5px;
}

.gallery-imagerow {
    row-gap: 2em;
}

.price-table {
    border-radius: 5px;
    border: 1px solid #D2B36B;
    padding: 1em;
}

.price-table .price-table-title {
    font-family: "Philosopher Regular";
    font-weight: 700;
    text-align: center;
    font-size: 28px;
}

.price-table .price-table-row {
    display: flex;
    justify-content: space-between;
    font-family: "Montserrat Medium";
    font-size: 18px;
    position: relative;
    margin-top: 50px;
}

.price-table .price-table-row::before {
    content: "";
    height: 1px;
    background-color: #D1B16A4D;
    position: absolute;
    top: -25px;
    left: 10%;
    right: 10%;
}

.price-table-wrapper {
    padding: 0 3em;
}

.onsite-block {
    background-color: #FAF6F0;
    padding: 2em;
    border-radius: 15px;
}

#contact_form_content_page.onsite-form input {
    background-color: #fff;
    padding: 0.5em 1em;
}

.quantity-select {
    display: inline-flex;
    align-items: center;
    column-gap: 1em;
    margin-left: 2em;
}

.quantity-select input {
    width: 100px !important;
    font-family: "Montserrat Medium";
    font-size: 18px;
    text-align: center;
}

.quantity-select .mennyiseg {
    font-size: 30px;
    cursor: pointer;
}

.onsite-normal,
.onsite-bold {
    font-family: "Philosopher Regular";
    font-size: 22px;
}

.onsite-bold {
    font-weight: 700;
}

.onsite-bold:first-of-type {
    font-size: 30px;
}

.chosen-details {
    padding-left: 1.5em;
}

.success-img {
    width: 80%;
}

/* CALENDAR */
.fc .fc-button-primary {
    background-color: #97733f !important;
    border-color: #644b25 !important;
}

.fc-event-main {
    cursor: pointer;
    text-align: center;
}

.fc-col-header-cell-cushion {
    text-transform: capitalize;
}

.fc-scrollgrid-section.fc-scrollgrid-section-header th,
.fc .fc-timegrid-slot {
    height: 80px !important;
}

.fc-col-header-cell.fc-day .fc-scrollgrid-sync-inner {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.fc .fc-timegrid-col.fc-day-today {
    background: none;
}

.fc-col-header thead {
    background-color: #E9E0CC;
}

.fc-timegrid-slots tbody tr:nth-of-type(odd) td{
    background-color: #F3ECE2;
}

.fc-timegrid-slots tbody tr:nth-of-type(even) td{
    background-color: #E9E0CC;
}

.fc-theme-standard td, .fc-theme-standard th {
    /*border: 2px solid #fff;*/
}

.fc-theme-standard .fc-scrollgrid {
    border: 0px !important;
}

colgroup col,
.fc-direction-ltr .fc-timegrid-slot-label-frame {
    width: 80px !important;
}

.fc-direction-ltr .fc-timegrid-slot-label-frame {
    text-align: center !important;
    font-weight: bold;
}

.fc .fc-toolbar-title {
    font-size: 1.4em;
    text-transform: uppercase;
}

#calendar * {
    border: 0 !important;
}

.fc-scrollgrid .fc-col-header {
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    overflow: hidden;
}

.fc-scrollgrid .fc-timegrid-slots tbody tr:last-child > td:first-child {
    border-bottom-left-radius: 15px;
}

.fc-scrollgrid .fc-timegrid-slots tbody tr:last-child > td:nth-child(2) {
    border-bottom-right-radius: 15px;
}

/* END OF CALENDAR */

.onsite-row {
    margin-top: 5em;
}

.navbar-brand {
    position: absolute;
    left: 15px;
    top: 0;
    z-index: 20;
}

header {
    transition: .3s;
}

header.need-bg .navbar,
header.need-bg {
    height: 105px;
}

header.need-bg {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 15;
    background: #322B2D/*#624F54*/;
}

header.need-bg .navbar-brand img {
    width: 115px;
}

.home-hero-desc .static-content{
    font-size: 16px;
}

.fc-event-main .event-date {
    font-size: 13px;
}

.img-full {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* styles for '...' */
.block-with-text {
    /* hide text if it more than N lines  */
    overflow: hidden;
    /* for set '...' in absolute position */
    position: relative;
    /* use this value to count block height */
    line-height: 1.2em;
    /* max-height = line-height (1.2) * lines max number (3) */
    max-height: 6em;
    /* fix problem when last visible word doesn't adjoin right side  */
    text-align: justify;
    /* place for '...' */
    margin-right: -1em;
    padding-right: 1em;
}
/* create the ... */
.block-with-text:before {
    /* points in the end */
    content: '...';
    /* absolute position */
    position: absolute;
    /* set position to right bottom corner of block */
    right: 5px;
    bottom: 0;
}
/* hide ... if we have text, which is less than or equal to max lines */
.block-with-text:after {
    /* points in the end */
    content: '';
    /* absolute position */
    position: absolute;
    /* set position to right bottom corner of text */
    right: 0;
    /* set width and height */
    width: 1em;
    height: 1em;
    margin-top: 0.2em;
    /* bg color = bg color under block */
    background: #F4EEE3;
}
/*EOF*/